/*
 * e_subvec.h
 *
 *  Created on: 10-06-2016
 *      Author: Krzysztof Jakubczyk
 */

#ifndef E_SUBVEC_H_
#define E_SUBVEC_H_

#include "tdefs.h"

struct e_subvec_logic
{
	float *orta1_ptr;
	float *ortb1_ptr;
	float *orta2_ptr;
	float *ortb2_ptr;
	float *orta_ptr;
	float *ortb_ptr;
	float *esk_ptr;
};

struct e_subvec_io
{
	u32 orta1_float_in;
	u32 ortb1_float_in;
	u32 orta2_float_in;
	u32 ortb2_float_in;
	u32 orta_float_out;
	u32 ortb_float_out;
	u32 esk_float_out;
}__attribute__((__packed__));

struct e_subvec_params
{
}__attribute__((__packed__));

struct e_subvec_args
{
	struct e_subvec_io io;
	struct e_subvec_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void e_subvec(void *args, void *logic);
extern int e_subvec_initlog(void *arguments, void *logic);

#endif /* E_SUBVEC_H_ */
